### Method

# Foundry VcsDiffHunk list_lines

#### Declaration [src]

    DexFuture*
    foundry_vcs_diff_hunk_list_lines (
      FoundryVcsDiffHunk* self
    )

#### Description [src]

List the lines within a hunk.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to an `GListModel` of `FoundryVcsDiffLine`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.